/**
 * @file
 * JavaScript file for the key_cache_clear module.
 */

(function ($, Drupal, drupalSettings) {
  // Remap the filter functions for autocomplete to recognise the
  // extra value "command".
  'use strict';
  Drupal.behaviors.key_cache_clear = {
    attach: function (context, settings) {
      var base_url = settings.key_cache_clear.settings.base_url;
      $('body').once('key_cache_clear').each(function () {
        var path = settings.key_cache_clear.settings.image;
        var imageUrl = '<div class="loader-wrapper"><img class="cache-load cache-center" src="' + path + '"/></div>';
        // Key events.
        $(document).keydown(function (event) {
          if (event.altKey === true && event.keyCode === 67) {
            $('body').prepend(imageUrl);
            jQuery.ajax({
              url: base_url + '/admin/cache-clear',
              cache: false,
              type: 'POST',
              beforeSend: function () {
              },
              success: function (result) {
                $('.loader-wrapper').hide();
                $('body').prepend('<div class="overlay"><div class="popup"><h2>Cache cleared successfully!</h2><a class="close" href="#">&times;</a></div></div>');
                $('.overlay .close').click(function () {
                  $('.overlay').fadeOut();
                });
                setTimeout(function () {
                  $('.overlay').fadeOut();
                }, 1000);
              }
            });
          }
        });
      });
    }
  };

})(jQuery, Drupal, this, this.document);
